/// <reference types="react" />
export declare type TreeNodeProps = {
    node: Node;
    showSupportValues?: boolean;
    shadeBranchBySupport?: boolean;
    colorFunction?: colorFn;
    leafTextComponent?: LeafFn;
    fontSize: number;
    alignTips?: boolean;
};
export declare type Tree = {
    ID?: string | number;
    name: string;
    color_regex?: string;
    length: number;
    children: Tree[];
};
export declare type Node = {
    children?: Node[];
    data: Tree;
    depth: number;
    height: number;
    parent: Node;
    value: number;
    x: number;
    y: number;
    tipAlignY?: number;
};
export declare type LeafFn = (arg0: {
    node: Node;
    fontFamily?: Number;
}) => JSX.Element;
export declare type colorFn = (node: Node) => string;
export default function PhyloTree({ tree, height, width, cladogram, showSupportValues, shadeBranchBySupport, colorFunction, fontSize, alignTips, leafTextComponent, }: {
    tree: Tree;
    height?: number;
    width?: number;
    cladogram?: boolean;
    showSupportValues?: boolean;
    shadeBranchBySupport?: boolean;
    colorFunction?: colorFn;
    fontSize?: number;
    alignTips?: boolean;
    leafTextComponent?: LeafFn;
}): JSX.Element;
